Skip to main content
Version: 2.3.0

Get Document Details

Last updated: September 16, 2026
Updated by: VNPT eContract's team


Purpose​

Look up the details of a document by DocumentId, including document information, the current processing status, the list of component files, and the workflow/user information currently pending processing on the document.

  • Request URL: /v2/documents/{documentId}
  • HTTP method: GET
  • Authorize: Bearer token
  • Parameter:
KeyLocationTypeRequiredDescription
documentIdPath paramGUIDYesId of the document to look up (e.g.: /v2/documents/c7cd1930-...)

Sample request​

GET /v2/documents/f5b0c112-d357-44ce-b8a8-7cb77d3d0b9e

Sample response body​

{
"data": {
"id": "f5b0c112-d357-44ce-b8a8-7cb77d3d0b9e",
"createdDate": "2026-08-13T17:55:40.8560899",
"lastModifiedDate": "2026-08-13T17:58:46.1287882",
"no": "DOCUMENT-MF-001",
"subject": "Multi-file document DOCUMENT-MF-001 - Updated",
"hasVerified": false,
"hasVerify": false,
"hasSeal": false,
"requireVerifiedUserSigning": false,
"status": {
"value": 2,
"description": "Ready"
},
"contractStatus": {
"value": 0,
"description": "Undefined"
},
"description": "Example of updating document DOCUMENT-MF-001",
"department": {
"id": 9855,
"name": "Business Department 04",
"code": "DPM004",
"users": [
]
},
"createdByUser": {
"id": 27938,
"code": "creator",
"name": "Clerk",
"email": "creator@yopmail.com",
"phone": "0123456789",
"comId": 7354,
"username": "creator@yopmail.com",
"isSelected": false
},
"createdByUserId": 27938,
"processRecipientCount": 2,
"waitingProcess": {
"id": "bba867ee-09f9-41f6-6ddb-08def929c6d3",
"createdDate": "2026-08-13T17:58:15.7798094",
"comId": 7354,
"isOrder": true,
"orderNo": 1,
"pageSign": 1,
"position": "234,514,374,574",
"displayType": {
"value": 0,
"description": "0"
},
"accessPermission": {
"value": 4,
"description": "Sign digital"
},
"status": {
"value": 1,
"description": "Waiting"
},
"processedByUserId": 59407,
"processedByUser": {
"id": 59407,
"code": "user001",
"name": "User 001",
"email": "user001@yopmail.com",
"comId": 7354,
"username": "user001@yopmail.com",
"isSelected": false
},
"documentId": "f5b0c112-d357-44ce-b8a8-7cb77d3d0b9e",
"fillingItems": [
],
"fileInfoId": "6865273c-90f5-49cd-403b-08defc11a479",
"attachments": [
]
},
"waitingProcesses": [
{
"id": "bba867ee-09f9-41f6-6ddb-08def929c6d3",
"createdDate": "2026-08-13T17:58:15.7798094",
"comId": 7354,
"isOrder": true,
"orderNo": 1,
"pageSign": 1,
"position": "234,514,374,574",
"displayType": {
"value": 0,
"description": "0"
},
"accessPermission": {
"value": 4,
"description": "Sign digital"
},
"status": {
"value": 1,
"description": "Waiting"
},
"processedByUserId": 59407,
"processedByUser": {
"id": 59407,
"code": "user001",
"name": "User 001",
"email": "user001@yopmail.com",
"comId": 7354,
"username": "user001@yopmail.com",
"isSelected": false
},
"documentId": "f5b0c112-d357-44ce-b8a8-7cb77d3d0b9e",
"fillingItems": [
],
"fileInfoId": "6865273c-90f5-49cd-403b-08defc11a479",
"attachments": [
]
}
],
"processInOrder": true,
"isWaitToSignDraw": false,
"isWaitToSignDigital": false,
"isWaitToApprove": false,
"isWaitToFillData": false,
"isWaitToCoordinate": false,
"isWaitToESign": false,
"isWaitToEkyc": false,
"isFillable": false,
"type": {
"id": 8950,
"code": "DOCID",
"name": "Test document",
"documentCount": 1,
"enableVnptSeal": false,
"requireVerifiedUserSigning": false,
"children": [
]
},
"processes": [
{
"id": "bba867ee-09f9-41f6-6ddb-08def929c6d3",
"createdDate": "2026-08-13T17:58:15.7798094",
"comId": 7354,
"isOrder": true,
"orderNo": 1,
"pageSign": 1,
"position": "234,514,374,574",
"displayType": {
"value": 0,
"description": "0"
},
"accessPermission": {
"value": 4,
"description": "Sign digital"
},
"status": {
"value": 1,
"description": "Waiting"
},
"processedByUserId": 59407,
"processedByUser": {
"id": 59407,
"code": "user001",
"name": "User 001",
"email": "user001@yopmail.com",
"comId": 7354,
"username": "user001@yopmail.com",
"isSelected": false
},
"documentId": "f5b0c112-d357-44ce-b8a8-7cb77d3d0b9e",
"fillingItems": [
],
"fileInfoId": "6865273c-90f5-49cd-403b-08defc11a479",
"attachments": [
]
},
{
"id": "129da2f9-85d4-4390-6ddc-08def929c6d3",
"createdDate": "2026-08-13T17:58:15.7799953",
"comId": 7354,
"isOrder": true,
"orderNo": 2,
"pageSign": 1,
"position": "334,614,474,674",
"displayType": {
"value": 0,
"description": "0"
},
"accessPermission": {
"value": 4,
"description": "Sign digital"
},
"status": {
"value": 1,
"description": "Waiting"
},
"processedByUserId": 27938,
"processedByUser": {
"id": 27938,
"code": "user002",
"name": "User 002",
"email": "user002@yopmail.com",
"phone": "0123456789",
"comId": 7354,
"username": "user002@yopmail.com",
"isSelected": false
},
"documentId": "f5b0c112-d357-44ce-b8a8-7cb77d3d0b9e",
"fillingItems": [
],
"fileInfoId": "a940f960-213c-4a89-403c-08defc11a479",
"attachments": [
]
}
],
"accessibleViewProcesses": [
],
"histories": [
{
"createdDate": "2026-08-13T17:55:41.0734176",
"requestType": {
"value": 0,
"description": "Web"
},
"ipAddress": "10.70.39.34",
"user": {
"id": 27938,
"code": "creator",
"name": "Clerk",
"email": "creator@yopmail.com",
"phone": "0123456789",
"comId": 7354,
"username": "creator@yopmail.com",
"isSelected": false
},
"activity": {
"value": 1,
"description": "Create document"
}
},
{
"createdDate": "2026-08-13T17:58:15.7800305",
"requestType": {
"value": 0,
"description": "Web"
},
"ipAddress": "10.70.39.34",
"user": {
"id": 27938,
"code": "creator",
"name": "Clerk",
"email": "creator@yopmail.com",
"phone": "0123456789",
"comId": 7354,
"username": "creator@yopmail.com",
"isSelected": false
},
"activity": {
"value": 2,
"description": "Update document"
}
},
{
"createdDate": "2026-08-13T17:58:46.1260242",
"requestType": {
"value": 0,
"description": "Web"
},
"ipAddress": "10.70.39.34",
"user": {
"id": 27938,
"code": "creator",
"name": "Trần Thị Việt Trinh",
"email": "creator@yopmail.com",
"phone": "0919380915",
"comId": 7354,
"username": "creator@yopmail.com",
"isSelected": false
},
"activity": {
"value": 3,
"description": "Invite recipient"
}
}
],
"attachments": [],
"relatedDocuments": [],
"linkedDocuments": [],
"messages": [],
"fillingItems": [],
"sharedUsers": [],
"isMarkStar": false,
"downloadFileUrls": [
{
"id": "6865273c-90f5-49cd-403b-08defc11a479",
"fileName": "Tai-lieu-chinh-01.pdf",
"downloadUrl": "{HOST}/api/Download?token=...",
"downloadWatermarkMetadataUrl": "{HOST}/api/Download?token=...",
"orderNo": 1,
"size": 358043,
"fileType": {
"value": 0,
"description": "General"
},
"hasSeal": false
},
{
"id": "a940f960-213c-4a89-403c-08defc11a479",
"fileName": "Phu-luc-02.pdf",
"downloadUrl": "{HOST}/api/Download?token=...",
"downloadWatermarkMetadataUrl": "{HOST}/api/Download?token=...",
"orderNo": 2,
"size": 262757,
"fileType": {
"value": 0,
"description": "General"
},
"hasSeal": false
}
],
"zipDownloadUrl": "{HOST}/api/Download/MergeFilesZipDocument?token=...",
"zipDownloadOriginalUrl": "{HOST}/api/Download/MergeFilesZipDocument?token=...",
"zipDownloadWatermarkMetadataUrl": "{HOST}/api/Download/MergeFilesZipDocument?token=...",
"requiresSealSendConfirmation": false,
"fixedPosition": false,
"isLaborContractDocument": false
},
"success": true,
"code": 0,
"messages": [
]
}

Response Body Description​

KeyTypeDescription
successbooleanResponse status of the request (true: Success, false: Failure)
codeintResponse code from the system
messagesarrayList of messages or errors returned from the system
dataobjectObject containing details of the document (see details below)

Details of data:​

The fields id, createdDate, lastModifiedDate, subject, description, status, contractStatus, type, downloadFileUrls, zipDownloadUrl, zipDownloadOriginalUrl, zipDownloadWatermarkMetadataUrl, processInOrder, processRecipientCount, processes... have the same meaning as in the Create Multi-file Document API (section 4.1). The fields createdByUser, waitingProcess, waitingProcesses have the same meaning as in the Send Document Process API (section 4.4). The table below only describes the field that is newly generated when looking up document details.

KeyTypeDescription
departmentobjectThe department issuing the document (see below)

Details of the department object:​

KeyTypeDescription
idintDepartment Id
namestringDepartment name
codestringDepartment code
usersarrayList of users belonging to the department (empty in the sample data)
Note

The response returns the full document information: the issuing department information (department), the creator (createdByUser), the current status (status, contractStatus), the list of attached files (downloadFileUrls), and the person currently pending processing (waitingProcess).

This API is suitable for integrating partners to proactively look up/synchronize the document status (instead of waiting for a callback/webhook), and is especially useful right after calling the Send Process API (section 4.4) to confirm that the document has moved to the expected status.